Bug 117950 - (IRQ) 'irq 11: nobody cared!' while loading yenta_socket
(IRQ) 'irq 11: nobody cared!' while loading yenta_socket
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-10 06:56 EST by Tim Waugh
Modified: 2015-01-04 17:04 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-09 10:59:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Waugh 2004-03-10 06:56:54 EST
Description of problem:
Got the kernel messages below

Version-Release number of selected component (if applicable):
2.6.3-2.1.246, UP, Inspiron 3500 laptop.

How reproducible:
Didn't happen when I just tried it again after reboot.

Mar 10 11:39:17 kingfisher kernel: Yenta: CardBus bridge found at
0000:00:04.0 [1028:008f]
Mar 10 11:39:17 kingfisher kernel: Yenta: Enabling burst memory read
transactions
Mar 10 11:39:17 kingfisher kernel: Yenta: Using CSCINT to route CSC
interrupts to PCI
Mar 10 11:39:17 kingfisher kernel: Yenta: Routing CardBus interrupts
to PCI
Mar 10 11:39:17 kingfisher kernel: Yenta: ISA IRQ mask 0x0090, PCI irq 11
Mar 10 11:39:17 kingfisher kernel: Socket status: 30000006
Mar 10 11:39:18 kingfisher kernel: Yenta: CardBus bridge found at
0000:00:04.1 [1028:008f]
Mar 10 11:39:18 kingfisher kernel: Yenta: Using CSCINT to route CSC
interrupts to PCI
Mar 10 11:39:18 kingfisher kernel: Yenta: Routing CardBus interrupts
to PCI
Mar 10 11:39:18 kingfisher kernel: irq 11: nobody cared!
Mar 10 11:39:18 kingfisher kernel: Call Trace:
Mar 10 11:39:18 kingfisher kernel:  [<0210f1e9>]
__report_bad_irq+0x2b/0x67
Mar 10 11:39:18 kingfisher kernel:  [<0210f281>] note_interrupt+0x43/0x66
Mar 10 11:39:18 kingfisher kernel:  [<0210f714>] do_IRQ+0x248/0x303
Mar 10 11:39:18 kingfisher kernel:  [<0212b384>] __do_softirq+0x2c/0x73
Mar 10 11:39:18 kingfisher kernel:  [<021103d0>] do_softirq+0x46/0x4d
Mar 10 11:39:18 kingfisher kernel:  =======================
Mar 10 11:39:18 kingfisher kernel:  [<0210f7c3>] do_IRQ+0x2f7/0x303
Mar 10 11:39:18 kingfisher cardmgr[1707]: no sockets found!
Mar 10 11:39:18 kingfisher kernel:  [<021d43c4>]
pci_bus_write_config_word+0x135/0x13e
Mar 10 11:39:18 kingfisher kernel:  [<0a8e4317>]
yenta_probe_irq+0xf6/0x100 [yenta_socket]
Mar 10 11:39:18 kingfisher kernel:  [<0a8e4349>]
yenta_get_socket_capabilities+0x28/0x49 [yenta_socket]
Mar 10 11:39:18 kingfisher kernel:  [<0a8e461e>]
yenta_probe+0x1b6/0x1fb [yenta_socket]
Mar 10 11:39:18 kingfisher kernel:  [<021d7078>]
pci_device_probe_static+0x2a/0x3d
Mar 10 11:39:18 kingfisher kernel:  [<021d70a6>]
__pci_device_probe+0x1b/0x2c
Mar 10 11:39:18 kingfisher kernel:  [<021d70d2>]
pci_device_probe+0x1b/0x2d
Mar 10 11:39:18 kingfisher kernel:  [<02223801>] bus_match+0x27/0x45
Mar 10 11:39:18 kingfisher kernel:  [<022238cd>] driver_attach+0x37/0x6a
Mar 10 11:39:18 kingfisher kernel:  [<02223adf>] bus_add_driver+0x6a/0x81
Mar 10 11:39:18 kingfisher kernel:  [<02223deb>] driver_register+0x48/0x50
Mar 10 11:39:18 kingfisher kernel:  [<021d7230>]
pci_register_driver+0x84/0x9f
Mar 10 11:39:18 kingfisher kernel:  [<0213f31c>]
sys_init_module+0x1ef/0x2c6
Mar 10 11:39:18 kingfisher kernel:
Mar 10 11:39:18 kingfisher kernel: handlers:
Mar 10 11:39:18 kingfisher kernel: [<0a8e36d8>]
(yenta_interrupt+0x0/0x21 [yenta_socket])
Mar 10 11:39:18 kingfisher kernel: [<0a8e36d8>]
(yenta_interrupt+0x0/0x21 [yenta_socket])
Mar 10 11:39:18 kingfisher kernel: Disabling IRQ #11
Mar 10 11:39:18 kingfisher kernel: Yenta: ISA IRQ mask 0x0090, PCI irq 11
Mar 10 11:39:18 kingfisher kernel: Socket status: 30000019
Comment 1 Dave Jones 2004-12-08 19:21:09 EST
did this go away in the 2.6.9 update ?
Comment 2 Tim Waugh 2004-12-09 10:59:07 EST
Seems fine with 2.6.9, yes.

Note You need to log in before you can comment on or make changes to this bug.